linux-armadaxp: 3.5.0-1628.37 -proposed tracker

Bug #1281897 reported by Brad Figg on 2014-02-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Ike Panhc
Automated-testing
Medium
Unassigned
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Ike Panhc
Prepare-package-meta
Medium
Ike Panhc
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
Unassigned
Upload-to-ppa-dnu
Medium
Ike Panhc
Verification-testing
Medium
Ike Panhc
linux-armadaxp (Ubuntu)
Medium
Unassigned
Quantal
Medium
Ike Panhc

Bug Description

This bug is for tracking the 3.5.0-1628.37 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 19. February 2014 04:13 UTC
kernel-stable-master-bug:1281828
kernel-stable-Certification-testing-end:Thursday, 20. February 2014 11:03 UTC
kernel-stable-Security-signoff-end:Thursday, 20. February 2014 11:03 UTC
kernel-stable-Prepare-package-end:Friday, 21. February 2014 08:02 UTC
kernel-stable-Promote-to-proposed-start:Friday, 21. February 2014 08:02 UTC
ppa-package-testing-start:Friday, 21. February 2014 09:02 UTC
kernel-stable-Promote-to-proposed-end:Friday, 21. February 2014 11:02 UTC
kernel-stable-Verification-testing-start:Friday, 21. February 2014 12:02 UTC
kernel-stable-Regression-testing-start:Friday, 21. February 2014 12:02 UTC
kernel-stable-Verification-testing-end:Monday, 24. February 2014 07:03 UTC
kernel-stable-Promote-to-updates-start:Thursday, 06. March 2014 01:03 UTC
kernel-stable-Regression-testing-end:Thursday, 06. March 2014 01:03 UTC
kernel-stable-Promote-to-updates-end:Thursday, 06. March 2014 17:04 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 06. March 2014 19:06 UTC

This tracking bug was opened to be worked from linux-3.5.0-47.71 update (bug 1281828)

tags: added: kernel-release-tracking-bug
tags: added: armhf
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu):
importance: Undecided → Medium
Changed in linux-armadaxp (Ubuntu Quantal):
importance: Undecided → Medium
Adam Conrad (adconrad) on 2014-02-19
Changed in linux-armadaxp (Ubuntu):
status: New → Invalid
Ike Panhc (ikepanhc) on 2014-02-20
summary: - linux-armadaxp: <version to be filled> -proposed tracker
+ linux-armadaxp: 3.5.0-1628.37 -proposed tracker
Changed in kernel-sru-workflow:
assignee: nobody → Ike Panhc (ikepanhc)
Brad Figg (brad-figg) on 2014-02-20
description: updated
Ike Panhc (ikepanhc) on 2014-02-20
Changed in linux-armadaxp (Ubuntu Quantal):
assignee: nobody → Ike Panhc (ikepanhc)
status: New → In Progress
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-02-21
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-02-21
description: updated
Brad Figg (brad-figg) on 2014-02-21
description: updated
Ike Panhc (ikepanhc) wrote :

Rebase only

Brad Figg (brad-figg) on 2014-02-24
description: updated
Paul Larson (pwlars) on 2014-03-06
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-03-06
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (22.4 KiB)

This bug was fixed in the package linux-armadaxp - 3.5.0-1628.37

---------------
linux-armadaxp (3.5.0-1628.37) quantal-proposed; urgency=low

  [ Ike Panhc ]

  * Release Tracking Bug
    - LP: #1281897
  * Rebase onto Ubuntu-3.5.0-47.71

  [ Ubuntu: 3.5.0-47.71 ]

  * Release Tracking Bug
    - LP: #1281828
  * Revert "mm: ensure get_unmapped_area() returns higher address than
    mmap_min_addr"
    - LP: #1277722
  * net: clamp ->msg_namelen instead of returning an error
    - LP: #1269053
  * netfilter: nf_conntrack: avoid large timeout for mid-stream pickup
    - LP: #1270237
  * SELinux: Fix kernel BUG on empty security contexts.
    - CVE-2014-1874
  * lirc_zilog: Don't use dynamic static allocation
    - LP: #1277722
  * net: Fix "ip rule delete table 256"
    - LP: #1277722
  * ipv6: use rt6_get_dflt_router to get default router in rt6_route_rcv
    - LP: #1277722
  * random32: fix off-by-one in seeding requirement
    - LP: #1277722
  * bonding: don't permit to use ARP monitoring in 802.3ad mode
    - LP: #1277722
  * 6lowpan: Uncompression of traffic class field was incorrect
    - LP: #1277722
  * bonding: fix two race conditions in bond_store_updelay/downdelay
    - LP: #1277722
  * isdnloop: use strlcpy() instead of strcpy()
    - LP: #1277722
  * connector: improved unaligned access error fix
    - LP: #1277722
  * ipv4: fix possible seqlock deadlock
    - LP: #1277722
  * inet: prevent leakage of uninitialized memory to user in recv syscalls
    - LP: #1277722
  * atm: idt77252: fix dev refcnt leak
    - LP: #1277722
  * net: core: Always propagate flag changes to interfaces
    - LP: #1277722
  * net: rework recvmsg handler msg_name and msg_namelen logic
    - LP: #1277722
  * net: add BUG_ON if kernel advertises msg_namelen > sizeof(struct
    sockaddr_storage)
    - LP: #1277722
  * packet: fix use after free race in send path when dev is released
    - LP: #1277722
  * inet: fix addr_len/msg->msg_namelen assignment in recv_error and rxpmtu
    functions
    - LP: #1277722
  * ipv6: fix leaking uninitialized port number of offender sockaddr
    - LP: #1277722
  * net: update consumers of MSG_MORE to recognize MSG_SENDPAGE_NOTLAST
    - LP: #1277722
  * inet: fix possible seqlock deadlocks
    - LP: #1277722
  * ipv6: fix possible seqlock deadlock in ip6_finish_output2
    - LP: #1277722
  * af_packet: block BH in prb_shutdown_retire_blk_timer()
    - LP: #1277722
  * {pktgen, xfrm} Update IPv4 header total len and checksum after
    tranformation
    - LP: #1277722
  * bridge: flush br's address entry in fdb when remove the
    - LP: #1277722
  * mmc: block: fix a bug of error handling in MMC driver
    - LP: #1277722
  * NFSv4: Update list of irrecoverable errors on DELEGRETURN
    - LP: #1277722
  * Update of blkg_stat and blkg_rwstat may happen in bh context. While
    u64_stats_fetch_retry is only preempt_disable on 32bit UP system. This
    is not enough to avoid preemption by bh and may read strange 64 bit
    value.
    - LP: #1277722
  * ASoC: wm8990: Mark the register map as dirty when powering down
    - LP: #1277722
  * irq: Enable all irqs unconditionally in irq_resume
    - LP: #1277722
  * xen/gnttab: leave l...

Changed in linux-armadaxp (Ubuntu Quantal):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2014-03-06
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers